<app-loading *ngIf="isLoadingPage"></app-loading>

<div class="btnAcrossPageName">
  <button nz-button nzType="default" (click)="onCancel()">{{'partnership.pns-contract.label.cancel' | translate}}</button>

  <mb-button mbButtonSize='SMALL' mbButtonAvailableStyle='PRIMARY'
             (click)='onSave()'
             *ngIf='!isDetail'
             mbButtonText="{{'partnership.pns-contract.label.save' | translate}}"></mb-button>
</div>

<div class='content__item content__item--border bg__content--default'>
  <app-personal-info [employeeId]='employeeId' [isShowEmpType]='false'></app-personal-info>

  <form nz-form [formGroup]='form' style='margin-top: 25px'>
    <!--Thông tin HĐ trước-->
    <div nz-row [nzGutter]='[30,0]'>
      <div nz-col nzXs="24" nzLg="24" class="input__group">
        <label class="input__label">{{'partnership.pns-contract.label.oldContract' | translate}}</label>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>
    <div nz-row [nzGutter]='[30,30]'>
      <div  nz-col nzXs='12' nzLg='6'>
        <mb-text-label mbLabelText="{{'partnership.pns-contract.label.contractNumber' | translate}}" [mbLabelValue]="form.value['curContractNumber']"></mb-text-label>
      </div>

      <div  nz-col nzXs='12' nzLg='6'>
        <mb-text-label mbLabelText="{{'partnership.pns-contract.label.contractTypeName' | translate}}" [mbLabelValue]="curContractTypeName"></mb-text-label>
      </div>

      <div  nz-col nzXs='12' nzLg='6'>
        <mb-text-label mbLabelText="{{'partnership.pns-contract.label.effectiveFromDate' | translate}}" [mbLabelValue]="form.value['curFromDate']"></mb-text-label>
      </div>

      <div  nz-col nzXs='12' nzLg='6'>
        <mb-text-label mbLabelText="{{'partnership.pns-contract.label.effectiveToDate' | translate}}" [mbLabelValue]="form.value['curToDate']"></mb-text-label>
      </div>
    </div>

    <!--Thông tin HĐ đề xuất-->
    <div nz-row [nzGutter]='[30,0]' style='margin-top: 30px'>
      <div nz-col nzXs="24" nzLg="24" class="input__group">
        <label class="input__label">{{'partnership.pns-contract.label.offerContract' | translate}}</label>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>
    <div nz-row [nzGutter]='[30,30]'>

      <!--Loại hợp đồng theo tiêu chuẩn-->
      <div nz-col nzXs='12' nzLg='9'>
        <mb-select [mbDataSelects]='listContractType'
                   formControlName='contractByLawId'
                   (mbEventEmit)='selectContractType($event, isUpdateDate)'
                   [mbDisable]='isDetail || isDisabledManager'
                   [mbType]="isSubmitted && form.controls['contractByLawId'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['contractByLawId'].errors !== null"
                   [mbErrors]="form.controls['contractByLawId'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.label.contractLawTypeName' | translate }}]"
                   mbPlaceholder="{{'partnership.pns-contract.label.contractLawTypeName' | translate }}"
                   mbLabelText="{{'partnership.pns-contract.label.contractLawTypeName' | translate}} <span class='label__required'>*</span>"></mb-select>
      </div>

      <!--Số hợp đồng-->
      <div nz-col nzXs='12' nzLg='5'>
        <mb-input-text formControlName='contractNumber' [mbMaxLength]='50'
                       [mbDisable]='true'
                       mbPlaceholderText="{{'partnership.pns-contract.label.contractNumber' | translate}}"
                       mbLabelText="{{'partnership.pns-contract.label.contractNumber' | translate}}"></mb-input-text>
      </div>

      <!--Từ ngày-->
      <div nz-col nzXs='12' nzLg='5'>
        <mb-date-picker
          formControlName="fromDate"
          [mbDisabled]='true'
          mbLabelText="{{'partnership.pns-contract.label.effectiveFromDate' | translate}}"
          mbPlaceholderText="{{'partnership.pns-contract.label.effectiveFromDate' | translate}}"
        ></mb-date-picker>
      </div>

      <!--Đến ngày-->
      <div nz-col nzXs='12' nzLg='5'>
        <mb-date-picker
          formControlName="toDateByLaw"
          [mbDisabled]='true'
          mbLabelText="{{'partnership.pns-contract.label.effectiveToDate' | translate}}"
          mbPlaceholderText="{{'partnership.pns-contract.label.effectiveToDate' | translate}}"
        ></mb-date-picker>
      </div>
    </div>
    <!--END Thông tin HĐ đề xuất-->

    <!--Thông tin người ký-->
    <div nz-row [nzGutter]='[30,0]' style='margin-top: 30px'>
      <div nz-col nzXs="24" nzLg="24" class="input__group">
        <label class="input__label">{{'partnership.pns-contract.label.signerInfo' | translate}}</label>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>
    <div nz-row [nzGutter]='[30,30]'>
      <div nz-col nzXs='12' nzLg='8' class="{{isDetail ? 'select__employee select__employee-disabled' : 'select__employee' }}">
        <employee-data-picker
          [mbCanText]="true"
          formControlName="signer"
          [mbDisable]='isDetail'
          status='WORKING'
          [mbType]="isSubmitted && form.controls['signer'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['signer'].errors !== null"
          [mbErrors]="form.controls['signer'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.label.signerName' | translate }}]"
          mbLabelText="{{'partnership.pns-contract.label.signerName' | translate}} <span class='label__required'>*</span>"
        >
        </employee-data-picker>
      </div>

      <!--Chức danh người ký-->
      <div nz-col nzXs='12' nzLg='8'>
        <mb-input-text formControlName='signerPosition'
                       [mbMaxLength]='200'
                       [mbDisable]='isDetail'
                       mbPlaceholderText="{{'partnership.pns-contract.label.signerPosition' | translate}}"
                       mbLabelText="{{'partnership.pns-contract.label.signerPosition' | translate}}"></mb-input-text>
      </div>

      <!--Số văn bản ủy quyền-->
      <div nz-col nzXs='12' nzLg='8'>
        <mb-input-text formControlName='delegacyNo'
                       [mbMaxLength]='200'
                       [mbDisable]='isDetail'
                       mbPlaceholderText="{{'partnership.pns-contract.label.delegacyNo' | translate}}"
                       mbLabelText="{{'partnership.pns-contract.label.delegacyNo' | translate}}"></mb-input-text>
      </div>
    </div>
    <!--END Thông tin người ký-->

    <!--Người quản lý xét duyệt-->
    <div nz-row [nzGutter]='[30,0]' style='margin-top: 30px'>
      <div nz-col nzXs="24" nzLg="24" class="input__group">
        <label class="input__label">{{'partnership.pns-contract.label.managerApprove' | translate}}</label>
        <ng-container *ngFor='let item of listApproveStatus'>
          <nz-tag [nzColor]='item.bgColor'
                  [ngStyle]='{color: item.color}'
                  *ngIf='item.value === managerStatus'
          >
            {{item.label | translate}}
          </nz-tag>
        </ng-container>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>
    <div nz-row [nzGutter]='[30,30]'>
      <!--Người quản lý-->
      <div nz-col nzXs='12' nzLg='12' class="{{(isDisabledManager || isDetail) ? 'select__employee select__employee-disabled' : 'select__employee' }}">
        <employee-data-picker
          [mbCanText]="true"
          status='WORKING'
          [mbDisable]='isDisabledManager || isDetail'
          formControlName="manager"
          mbLabelText="{{'partnership.pns-contract.label.selectManager' | translate}}"
        >
        </employee-data-picker>
      </div>
    </div>
    <div nz-row [nzGutter]='[30,30]'>
      <!--Đề xuất-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select [mbDataSelects]='listContractOffer'
                   [mbDisable]='true'
                   formControlName='managerOffer'
                   mbPlaceholder="{{'partnership.pns-contract.label.offer' | translate }}"
                   mbLabelText="{{'partnership.pns-contract.label.offer' | translate}}"></mb-select>
      </div>

      <!--Loại hợp đồng-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select [mbDataSelects]='listContractType'
                   [mbDisable]='true'
                   formControlName='managerContractTypeId'
                   mbPlaceholder="{{'partnership.pns-contract.label.contractTypeName' | translate }}"
                   mbLabelText="{{'partnership.pns-contract.label.contractTypeName' | translate}}"></mb-select>
      </div>

      <!--Từ ngày-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-date-picker
          formControlName="managerFromDate"
          [mbDisabled]='true'
          mbLabelText="{{'partnership.pns-contract.label.effectiveFromDate' | translate}}"
          mbPlaceholderText="{{'partnership.pns-contract.label.effectiveFromDate' | translate}}"
        ></mb-date-picker>
      </div>

      <!--Đến ngày-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-date-picker
          formControlName="managerToDate"
          [mbDisabled]='true'
          mbLabelText="{{'partnership.pns-contract.label.effectiveToDate' | translate}}"
          mbPlaceholderText="{{'partnership.pns-contract.label.effectiveToDate' | translate}}"
        ></mb-date-picker>
      </div>

      <!-- Đ/G tuân thủ-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select [mbDataSelects]='listAssessments'
                   formControlName='isDisciplined'
                   [mbDisable]='true'
                   mbPlaceholder="{{'partnership.pns-contract.label.disciplinaryAssessment' | translate }}"
                   mbLabelText="{{'partnership.pns-contract.label.disciplinaryAssessment' | translate}}"></mb-select>
      </div>

      <!--Điểm đánh giá kpi-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-input-text formControlName='kpiPoint' [mbMaxLength]='50'
                       [mbDisable]='true'
                       mbPlaceholderText="{{'partnership.pns-contract.label.kpiPoint' | translate}}"
                       mbLabelText="{{'partnership.pns-contract.label.kpiPoint' | translate}}"></mb-input-text>
      </div>

      <!--Kết quả đào tạo/Xếp loại-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-input-text formControlName='rankName' [mbMaxLength]='50'
                       [mbDisable]='true'
                       mbPlaceholderText="{{'partnership.pns-contract.label.rankName' | translate}}"
                       mbLabelText="{{'partnership.pns-contract.label.rankName' | translate}}"></mb-input-text>
      </div>

      <div nz-col nzXs=24 nzLg="24">
        <mb-input-text
          formControlName="managerNote"
          [mbIsTextAre]="true"
          [mbDisable]='true'
          [mbMaxLength]="500"
          mbPlaceholderText="{{'partnership.pns-contract.label.note' | translate}}"
          mbLabelText="{{'partnership.pns-contract.label.note' | translate}}"></mb-input-text>
      </div>
    </div>
    <!--END Người quản lý xét duyệt-->

    <!--Phê duyệt ký tiếp HĐ-->
    <div nz-row [nzGutter]='[30,0]' style='margin-top: 30px'>
      <div nz-col nzXs="24" nzLg="24" class="input__group">
        <label class="input__label">{{'partnership.pns-contract.label.approveContinueSign' | translate}}</label>
        <ng-container *ngFor='let item of listApproveStatus'>
          <nz-tag [nzColor]='item.bgColor'
                  [ngStyle]='{color: item.color}'
                  *ngIf='item.value === approveStatus'
          >
            {{item.label | translate}}
          </nz-tag>
        </ng-container>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>
    <div nz-row [nzGutter]='[30,30]'>
      <!--Người phê duyệt-->
      <div nz-col nzXs='12' nzLg='12' class="{{(isDisabledApprove || isDetail) ? 'select__employee select__employee-disabled' : 'select__employee' }}">
        <employee-data-picker
          [mbCanText]="true"
          status='WORKING'
          [mbDisable]='isDisabledApprove || isDetail'
          formControlName="approver"
          mbLabelText="{{'partnership.pns-contract.label.approver' | translate}}"
        >
        </employee-data-picker>
      </div>
    </div>
    <div nz-row [nzGutter]='[30,30]'>
      <!--Đề xuất-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select [mbDataSelects]='listContractOffer'
                   formControlName='approveOffer'
                   [mbDisable]='true'
                   mbPlaceholder="{{'partnership.pns-contract.label.offer' | translate }}"
                   mbLabelText="{{'partnership.pns-contract.label.offer' | translate}}"></mb-select>
      </div>

      <!--Loại hợp đồng-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select [mbDataSelects]='listContractType'
                   [mbDisable]='true'
                   formControlName='approveContractTypeId'
                   mbPlaceholder="{{'partnership.pns-contract.label.contractTypeName' | translate }}"
                   mbLabelText="{{'partnership.pns-contract.label.contractTypeName' | translate}}"></mb-select>
      </div>

      <!--Từ ngày-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-date-picker
          formControlName="approveFromDate"
          [mbDisabled]='true'
          mbLabelText="{{'partnership.pns-contract.label.effectiveFromDate' | translate}}"
          mbPlaceholderText="{{'partnership.pns-contract.label.effectiveFromDate' | translate}}"
        ></mb-date-picker>
      </div>

      <!--Đến ngày-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-date-picker
          formControlName="approveToDate"
          [mbDisabled]='true'
          mbLabelText="{{'partnership.pns-contract.label.effectiveToDate' | translate}}"
          mbPlaceholderText="{{'partnership.pns-contract.label.effectiveToDate' | translate}}"
        ></mb-date-picker>
      </div>
    </div>
    <!--END phê duyệt ký tiếp HĐ-->

    <!--Phê duyệt trường hợp khác biệt-->
    <div nz-row [nzGutter]='[30,0]' style='margin-top: 30px'>
      <div nz-col nzXs="24" nzLg="24" class="input__group">
        <label class="input__label">{{'partnership.pns-contract.label.approveOther' | translate}}</label>
        <ng-container *ngFor='let item of listApproveStatus'>
          <nz-tag [nzColor]='item.bgColor'
                  [ngStyle]='{color: item.color}'
                  *ngIf='item.value === bossStatus'
          >
            {{item.label | translate}}
          </nz-tag>
        </ng-container>
        <nz-divider class="hrTag"></nz-divider>
      </div>
    </div>

    <div nz-row [nzGutter]='[30,30]'>
      <!--Người phê duyệt-->
      <div nz-col nzXs='12' nzLg='12' class="{{isDetail ? 'select__employee select__employee-disabled' : 'select__employee' }}">
        <employee-data-picker
          [mbCanText]="true"
          status='WORKING'
          [mbDisable]='isDetail || isDisabledBoss'
          formControlName="approverOther"
          mbLabelText="{{'partnership.pns-contract.label.approver' | translate}}"
        >
        </employee-data-picker>
      </div>
    </div>

    <div nz-row [nzGutter]='[30,30]'>

      <div nz-col nzXs='12' nzLg='6'>
        <mb-select [mbDataSelects]='listContractOffer'
                   formControlName='bossOffer'
                   [mbDisable]='true'
                   mbPlaceholder="{{'partnership.pns-contract.label.offer' | translate }}"
                   mbLabelText="{{'partnership.pns-contract.label.offer' | translate}}"></mb-select>
      </div>

      <!--Loại hợp đồng-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-select [mbDataSelects]='listContractType'
                   formControlName='bossContractTypeId'
                   [mbDisable]='true'
                   mbPlaceholder="{{'partnership.pns-contract.label.contractTypeName' | translate }}"
                   mbLabelText="{{'partnership.pns-contract.label.contractTypeName' | translate}}"></mb-select>
      </div>

      <!--Từ ngày-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-date-picker
          formControlName="bossFromDate"
          [mbDisabled]='true'
          mbLabelText="{{'partnership.pns-contract.label.effectiveFromDate' | translate}}"
          mbPlaceholderText="{{'partnership.pns-contract.label.effectiveFromDate' | translate}}"
        ></mb-date-picker>
      </div>

      <!--Đến ngày-->
      <div nz-col nzXs='12' nzLg='6'>
        <mb-date-picker
          formControlName="bossToDate"
          [mbDisabled]='true'
          mbLabelText="{{'partnership.pns-contract.label.effectiveToDate' | translate}}"
          mbPlaceholderText="{{'partnership.pns-contract.label.effectiveToDate' | translate}}"
        ></mb-date-picker>
      </div>

      <!--Người ký-->
    </div>
  </form>
</div>
